Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 10-09-2020 08:18:40

xunil2003
Membre
Inscription : 06-02-2012

DreamPlug installer Debian 7 Wheezy (dépôt obselette)

Bonjour,

Tout est dans le titre.
J'ai besoin d'installer Debian 7 wheezy sur mon vieux plugcomputer afin de récupérer des données de l'époque.
DreamPlug multi-boot https://doc.rhizome-fai.net/doku.php?id … :dreamplug
Le dépôt me pose problème

/etc/apt/sources.list original :

deb http://ftp.us.debian.org/debian/ wheezy main contrib non-free
deb http://security.debian.org/ wheezy/updates main contrib non-free



/etc/apt/sources.list modifié :

root@debian:~# cat /etc/apt/sources.list
deb http://archive.debian.org/debian/ wheezy main contrib non-free
deb http://archive.debian.org/ wheezy/updates main contrib non-free



root@debian:~# apt-get update
Ign http://archive.debian.org wheezy InRelease
Ign http://archive.debian.org wheezy/updates InRelease
Get:1 http://archive.debian.org wheezy Release.gpg [2373 B]
Ign http://archive.debian.org wheezy/updates Release.gpg
Hit http://archive.debian.org wheezy Release
Ign http://archive.debian.org wheezy Release  
Ign http://archive.debian.org wheezy/updates Release
Ign http://archive.debian.org wheezy/main armel Packages/DiffIndex
Ign http://archive.debian.org wheezy/contrib armel Packages/DiffIndex
Ign http://archive.debian.org wheezy/non-free armel Packages/DiffIndex
Ign http://archive.debian.org wheezy/contrib TranslationIndex
Ign http://archive.debian.org wheezy/main TranslationIndex
Ign http://archive.debian.org wheezy/non-free TranslationIndex
Ign http://archive.debian.org wheezy/updates/contrib TranslationIndex
Ign http://archive.debian.org wheezy/updates/main TranslationIndex
Ign http://archive.debian.org wheezy/updates/non-free TranslationIndex
Hit http://archive.debian.org wheezy/main armel Packages
Hit http://archive.debian.org wheezy/contrib armel Packages
Hit http://archive.debian.org wheezy/non-free armel Packages
Err http://archive.debian.org wheezy/updates/main armel Packages
  404  Not Found [IP: 2a02:16a8:dc41:100::234 80]
Err http://archive.debian.org wheezy/updates/contrib armel Packages
  404  Not Found [IP: 2a02:16a8:dc41:100::234 80]
Err http://archive.debian.org wheezy/updates/non-free armel Packages
  404  Not Found [IP: 2a02:16a8:dc41:100::234 80]
Ign http://archive.debian.org wheezy/contrib Translation-en
Ign http://archive.debian.org wheezy/main Translation-en
Ign http://archive.debian.org wheezy/non-free Translation-en
Ign http://archive.debian.org wheezy/updates/contrib Translation-en
Ign http://archive.debian.org wheezy/updates/main Translation-en
Ign http://archive.debian.org wheezy/updates/non-free Translation-en
Fetched 2373 B in 0s (3075 B/s)
W: GPG error: http://archive.debian.org wheezy Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY 6FB2A1C265FFB764
W: Failed to fetch http://archive.debian.org/dists/wheezy/updates/main/binary-armel/Packages  404  Not Found [IP: 2a02:16a8:dc41:100::234 80]

W: Failed to fetch http://archive.debian.org/dists/wheezy/updates/contrib/binary-armel/Packages  404  Not Found [IP: 2a02:16a8:dc41:100::234 80]

W: Failed to fetch http://archive.debian.org/dists/wheezy/updates/non-free/binary-armel/Packages  404  Not Found [IP: 2a02:16a8:dc41:100::234 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.
root@debian:~#




root@debian:~# uname -a
Linux debian 3.4.4 #2 PREEMPT Fri Jul 20 13:26:29 BST 2012 armv5tel GNU/Linux
root@debian:~#





Comment ajouter le depot debian 7 wheezy qui doit être en archive chez debian ?
Merci d'avance pour votre aide et conseil.


Globalscale GuruPug Serveur Plus / ARM 1.2 Ghz / Debian Lenny.
I7 950 / 12 Go Ram / Ubuntu 10.10 / Mandriva 2010 / Mageia / Windows 7.

Hors ligne

#2 10-09-2020 12:55:31

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : DreamPlug installer Debian 7 Wheezy (dépôt obselette)

Bonjour,
C’est ancien wheezy, il n’y a sans doute pas de dépôt updates.

Hors ligne

#3 10-09-2020 18:20:42

èfpé
Membre
Inscription : 10-07-2016

Re : DreamPlug installer Debian 7 Wheezy (dépôt obselette)

Bonjour,

xunil2003 a écrit :

cat /etc/apt/sources.list

deb http://archive.debian.org/debian/ wheezy main contrib non-free
deb http://archive.debian.org/ wheezy/updates main contrib non-free


Il y a une erreur de syntaxe pour le dépôt security, voici ce que donne une simulation, sous Buster :

nano /etc/apt/sources.list

deb http://archive.debian.org/debian/ wheezy main contrib non-free
deb http://archive.debian.org/debian-security/ wheezy/updates main contrib non-free


apt-get update

Ign :1 http://archive.debian.org/debian wheezy InRelease
Atteint :2 http://archive.debian.org/debian wheezy Release
Réception de :3 http://archive.debian.org/debian-security wheezy/updates InRelease [54,0 kB]
Lecture des listes de paquets... Fait
E: Le fichier « Release » pour http://archive.debian.org/debian-security/dists/wheezy/update
s/InRelease est périmé (invalide depuis 519d **h **min **s). Les mises à jour depuis ce dépô
t ne s'effectueront pas.


Ce fichier de configuration d'APT permettrait de contourner le problème (les deux ans de suivi LTS) :

nano /etc/apt/apt.conf

Acquire::Check-Valid-Until "false";


apt-get update

Ign :1 http://archive.debian.org/debian wheezy InRelease
Atteint :2 http://archive.debian.org/debian-security wheezy/updates InRelease
Atteint :3 http://archive.debian.org/debian wheezy Release
Lecture des listes de paquets... Fait


Tu pourrais par ailleurs en profiter pour corriger la faille de sécurité, présente sur Debian 7 Wheezy :

Acquire::http::AllowRedirect "false";


Reste l'erreur GPG (NO_PUBKEY) ; le paquet debian-archive-keyring a-t-il effectivement été installé ?

Hors ligne

#4 13-09-2020 10:04:01

xunil2003
Membre
Inscription : 06-02-2012

Re : DreamPlug installer Debian 7 Wheezy (dépôt obselette)

Bonjour,

Voila les modif que j'ai fait :

Mon dépôt : /etc/apt/sources.list

deb http://archive.debian.org/debian/ wheezy main contrib non-free
deb http://archive.debian.org/debian-security/ wheezy/updates main contrib non-free





J'ai mis dans le fichier /etc/apt/apt.conf

Acquire::Check-Valid-Until "false";
Acquire::http::AllowRedirect "false";



et voici le retour

root@debian:~# apt-get update
Hit http://archive.debian.org wheezy Release.gpg
Get:1 http://archive.debian.org wheezy/updates Release.gpg [1601 B]
Hit http://archive.debian.org wheezy Release
Hit http://archive.debian.org wheezy/updates Release
Ign http://archive.debian.org wheezy/updates Release
Hit http://archive.debian.org wheezy/contrib Translation-en
Hit http://archive.debian.org wheezy/main Translation-en
Hit http://archive.debian.org wheezy/non-free Translation-en
Hit http://archive.debian.org wheezy/main armel Packages
Hit http://archive.debian.org wheezy/contrib armel Packages
Hit http://archive.debian.org wheezy/non-free armel Packages
Ign http://archive.debian.org wheezy/updates/main armel Packages/DiffIndex
Ign http://archive.debian.org wheezy/updates/contrib armel Packages/DiffIndex
Ign http://archive.debian.org wheezy/updates/non-free armel Packages/DiffIndex
Hit http://archive.debian.org wheezy/updates/contrib Translation-en
Hit http://archive.debian.org wheezy/updates/main Translation-en
Hit http://archive.debian.org wheezy/updates/non-free Translation-en
Hit http://archive.debian.org wheezy/updates/main armel Packages
Hit http://archive.debian.org wheezy/updates/contrib armel Packages
Hit http://archive.debian.org wheezy/updates/non-free armel Packages
Fetched 1601 B in 25s (62 B/s)                                                                                                                
Reading package lists... Done
W: GPG error: http://archive.debian.org wheezy/updates Release: The following signatures were invalid: BADSIG 9D6D8F6BC857C906 Debian Security Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>
root@debian:~#



Le paquet debian-archive-keyring reste introuvable

root@debian:~# apt-get install debian-archive-keyring
Reading package lists... Done
Building dependency tree      
Reading state information... Done
debian-archive-keyring is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@debian:~#



Merci.

Dernière modification par xunil2003 (13-09-2020 10:49:19)


Globalscale GuruPug Serveur Plus / ARM 1.2 Ghz / Debian Lenny.
I7 950 / 12 Go Ram / Ubuntu 10.10 / Mandriva 2010 / Mageia / Windows 7.

Hors ligne

#5 13-09-2020 10:46:42

èfpé
Membre
Inscription : 10-07-2016

Re : DreamPlug installer Debian 7 Wheezy (dépôt obselette)

Bonjour,

xunil2003 a écrit :

apt-get install debian-archive-keyring

debian-archive-keyring is already the newest version.


Le paquet debian-archive-keyring est déjà installé (vraisemblablement en version 2014.3~deb7u1) :

apt-cache policy debian-archive-keyring


D'ailleurs tu n'obtiens plus la même erreur GPG (NO_PUBKEY → BADSIG). Je ne sais pas reproduire.

Quelle image as-tu utilisée pour l'installation ? ton Guru/DreamPlug ne supporte pas Debian 8 ou 9 ?

Dernière modification par èfpé (14-09-2020 20:46:42)

Hors ligne

#6 13-09-2020 11:47:41

xunil2003
Membre
Inscription : 06-02-2012

Re : DreamPlug installer Debian 7 Wheezy (dépôt obselette)

bonjour,

lorsque je fait apt-get update j'ai ce message :

root@debian:~# apt-get update        
Atteint http://archive.debian.org wheezy Release.gpg
Réception de : 1 http://archive.debian.org wheezy/updates Release.gpg [1 601 B]
Atteint http://archive.debian.org wheezy Release
Atteint http://archive.debian.org wheezy/updates Release    
Ign http://archive.debian.org wheezy/updates Release        
Atteint http://archive.debian.org wheezy/contrib Translation-en
Atteint http://archive.debian.org wheezy/main Translation-fr
Atteint http://archive.debian.org wheezy/main Translation-en
Atteint http://archive.debian.org wheezy/non-free Translation-en
Atteint http://archive.debian.org wheezy/main armel Packages    
Atteint http://archive.debian.org wheezy/contrib armel Packages
Atteint http://archive.debian.org wheezy/non-free armel Packages
Ign http://archive.debian.org wheezy/updates/main armel Packages/DiffIndex
Ign http://archive.debian.org wheezy/updates/contrib armel Packages/DiffIndex
Ign http://archive.debian.org wheezy/updates/non-free armel Packages/DiffIndex
Atteint http://archive.debian.org wheezy/updates/contrib Translation-en
Atteint http://archive.debian.org wheezy/updates/main Translation-en
Atteint http://archive.debian.org wheezy/updates/non-free Translation-en
Atteint http://archive.debian.org wheezy/updates/main armel Packages
Atteint http://archive.debian.org wheezy/updates/contrib armel Packages
Atteint http://archive.debian.org wheezy/updates/non-free armel Packages
Ign http://archive.debian.org wheezy/updates/contrib Translation-fr_FR
Ign http://archive.debian.org wheezy/updates/contrib Translation-fr
Ign http://archive.debian.org wheezy/updates/main Translation-fr_FR
Ign http://archive.debian.org wheezy/updates/main Translation-fr
Ign http://archive.debian.org wheezy/updates/non-free Translation-fr_FR
Ign http://archive.debian.org wheezy/updates/non-free Translation-fr
1 601 o réceptionnés en 31s (50 o/s)                                                                                                          
Lecture des listes de paquets... Fait
W: Erreur de GPG : http://archive.debian.org wheezy/updates Release : Les signatures suivantes ne sont pas valables : BADSIG 9D6D8F6BC857C906 Debian Security Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>
root@debian:~# nano /etc/apt/apt.conf
root@debian:~# apt-get update
Atteint http://archive.debian.org wheezy Release.gpg
Réception de : 1 http://archive.debian.org wheezy/updates Release.gpg [1 601 B]
Atteint http://archive.debian.org wheezy Release
Atteint http://archive.debian.org wheezy/updates Release    
Ign http://archive.debian.org wheezy/updates Release        
Atteint http://archive.debian.org wheezy/contrib Translation-en
Atteint http://archive.debian.org wheezy/main Translation-fr
Atteint http://archive.debian.org wheezy/main Translation-en
Atteint http://archive.debian.org wheezy/non-free Translation-en
Atteint http://archive.debian.org wheezy/main armel Packages    
Atteint http://archive.debian.org wheezy/contrib armel Packages
Ign http://archive.debian.org wheezy/updates/main armel Packages/DiffIndex
Ign http://archive.debian.org wheezy/updates/contrib armel Packages/DiffIndex
Ign http://archive.debian.org wheezy/updates/non-free armel Packages/DiffIndex
Atteint http://archive.debian.org wheezy/updates/contrib Translation-en
Atteint http://archive.debian.org wheezy/updates/main Translation-en
Atteint http://archive.debian.org wheezy/updates/non-free Translation-en
Atteint http://archive.debian.org wheezy/non-free armel Packages
Atteint http://archive.debian.org wheezy/updates/main armel Packages
Atteint http://archive.debian.org wheezy/updates/contrib armel Packages
Atteint http://archive.debian.org wheezy/updates/non-free armel Packages
Ign http://archive.debian.org wheezy/updates/contrib Translation-fr_FR
Ign http://archive.debian.org wheezy/updates/contrib Translation-fr
Ign http://archive.debian.org wheezy/updates/main Translation-fr_FR
Ign http://archive.debian.org wheezy/updates/main Translation-fr
Ign http://archive.debian.org wheezy/updates/non-free Translation-fr_FR
Ign http://archive.debian.org wheezy/updates/non-free Translation-fr
1 601 o réceptionnés en 30s (52 o/s)                                                                                                          
Lecture des listes de paquets... Fait
W: Erreur de GPG : http://archive.debian.org wheezy/updates Release : Les signatures suivantes ne sont pas valables : BADSIG 9D6D8F6BC857C906 Debian Security Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>
root@debian:~#



Je ne comprend pas pourquoi j'ai ce message alors que je suis sur debian 7 wheezy et non pas 8/jessie ?

Oui le paquet debian-archive-keyring est bien installé

root@debian:~# apt-cache policy debian-archive-keyring
debian-archive-keyring:
  Installé : 2014.3~deb7u1
  Candidat : 2014.3~deb7u1
 Table de version :
 *** 2014.3~deb7u1 0
        500 http://archive.debian.org/debian/ wheezy/main armel Packages
        100 /var/lib/dpkg/status
root@debian:~#



Comment dois-je m'y prendre pour corriger le problème GPG (NO_PUBKEY) avec debian-archive-keyring ?

Merci.


Globalscale GuruPug Serveur Plus / ARM 1.2 Ghz / Debian Lenny.
I7 950 / 12 Go Ram / Ubuntu 10.10 / Mandriva 2010 / Mageia / Windows 7.

Hors ligne

#7 13-09-2020 13:18:42

èfpé
Membre
Inscription : 10-07-2016

Re : DreamPlug installer Debian 7 Wheezy (dépôt obselette)

Re-,

xunil2003 a écrit :

Comment dois-je m'y prendre pour corriger le problème GPG (NO_PUBKEY) avec debian-archive-keyring ?


Comme écrit en #5 l'erreur GPG n'est plus NO_PUBKEY mais BADSIG et je ne sais pas la reproduire.

apt-key list


Les fichiers Release des dépôts wheezy et wheezy/updates sont signés par les clés jessie. C'est OK.

Dernière modification par èfpé (14-09-2020 20:18:42)

Hors ligne

#8 13-09-2020 18:34:36

xunil2003
Membre
Inscription : 06-02-2012

Re : DreamPlug installer Debian 7 Wheezy (dépôt obselette)

Bonsoir,

root@debian:~# apt-key list
/etc/apt/trusted.gpg.d//debian-archive-jessie-automatic.gpg
-----------------------------------------------------------
pub   4096R/2B90D010 2014-11-21 [expire : 2022-11-19]
uid                  Debian Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>

/etc/apt/trusted.gpg.d//debian-archive-jessie-security-automatic.gpg
--------------------------------------------------------------------
pub   4096R/C857C906 2014-11-21 [expire : 2022-11-19]
uid                  Debian Security Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>

/etc/apt/trusted.gpg.d//debian-archive-jessie-stable.gpg
--------------------------------------------------------
pub   4096R/518E17E1 2013-08-17 [expire : 2021-08-15]
uid                  Jessie Stable Release Key <debian-release@lists.debian.org>

/etc/apt/trusted.gpg.d//debian-archive-squeeze-automatic.gpg
------------------------------------------------------------
pub   4096R/473041FA 2010-08-27 [expirée : 2018-03-05]
uid                  Debian Archive Automatic Signing Key (6.0/squeeze) <ftpmaster@debian.org>

/etc/apt/trusted.gpg.d//debian-archive-squeeze-stable.gpg
---------------------------------------------------------
pub   4096R/B98321F9 2010-08-07 [expirée : 2017-08-05]
uid                  Squeeze Stable Release Key <debian-release@lists.debian.org>

/etc/apt/trusted.gpg.d//debian-archive-wheezy-automatic.gpg
-----------------------------------------------------------
pub   4096R/46925553 2012-04-27 [expirée : 2020-04-25]
uid                  Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>

/etc/apt/trusted.gpg.d//debian-archive-wheezy-stable.gpg
--------------------------------------------------------
pub   4096R/65FFB764 2012-05-08 [expirée : 2019-05-07]
uid                  Wheezy Stable Release Key <debian-release@lists.debian.org>

root@debian:~#
 



Je ne comprend pas ce que je doit faire ?????????????????

Merci.


Globalscale GuruPug Serveur Plus / ARM 1.2 Ghz / Debian Lenny.
I7 950 / 12 Go Ram / Ubuntu 10.10 / Mandriva 2010 / Mageia / Windows 7.

Hors ligne

#9 13-09-2020 18:53:40

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

En ligne

#10 13-09-2020 18:56:42

èfpé
Membre
Inscription : 10-07-2016

Re : DreamPlug installer Debian 7 Wheezy (dépôt obselette)

Bonsoir,

xunil2003 a écrit :

Je ne comprends pas ce que je dois faire ?


Rien, pour l'instant (c'était pédagogique) ; peux-tu par contre poster le retour de cette commande :

cd /var/lib/apt/lists ; ls -l *Release* ; md5sum *Release*


On verra si l'hypothèse d'un fichier Release et/ou Release.gpg « corrompu » tient la route, ou non...

Dernière modification par èfpé (13-09-2020 20:16:42)

Hors ligne

#11 14-09-2020 10:43:57

xunil2003
Membre
Inscription : 06-02-2012

Re : DreamPlug installer Debian 7 Wheezy (dépôt obselette)

Bonjour,

Voici le retour

root@debian:~# cd /var/lib/apt/lists ; ls -l *Release* ; md5sum *Release*
-rw-r--r-- 1 root root 191130 juin  17  2017 archive.debian.org_debian_dists_wheezy_Release
-rw-r--r-- 1 root root   2373 juin  17  2017 archive.debian.org_debian_dists_wheezy_Release.gpg
-rw-r--r-- 1 root root  53969 mars  31  2019 archive.debian.org_debian-security_dists_wheezy_updates_Release
8422a6335c6d645c68e4991ea9430111  archive.debian.org_debian_dists_wheezy_Release
94cb4784bf8460336704a4e796f53c7e  archive.debian.org_debian_dists_wheezy_Release.gpg
00577496873f25bf321536a9bc406795  archive.debian.org_debian-security_dists_wheezy_updates_Release
root@debian:/var/lib/apt/lists#



Merci.


Globalscale GuruPug Serveur Plus / ARM 1.2 Ghz / Debian Lenny.
I7 950 / 12 Go Ram / Ubuntu 10.10 / Mandriva 2010 / Mageia / Windows 7.

Hors ligne

#12 14-09-2020 11:48:42

èfpé
Membre
Inscription : 10-07-2016

Re : DreamPlug installer Debian 7 Wheezy (dépôt obselette)

Bonjour,

xunil2003 a écrit :

cd /var/lib/apt/lists ; ls -l *Release* ; md5sum *Release*

-rw-r--r-- 1 root root  53969 mars  31  2019 archive.debian.org_debian-security_dists_wheezy_updates_Release
00577496873f25bf321536a9bc406795             archive.debian.org_debian-security_dists_wheezy_updates_Release


Merci, le fichier _wheezy_updates_Release est effectivement corrompu, voici le résultat « attendu » :

-rw-r--r-- 1 root root  52319 mars  31  2019 archive.debian.org_debian-security_dists_wheezy_updates_Release
-rw-r--r-- 1 root root   1601 mars  31  2019 archive.debian.org_debian-security_dists_wheezy_updates_Release.gpg
9da46e049f425bc65a9be42bc93f2276             archive.debian.org_debian-security_dists_wheezy_updates_Release
f4a9bf75cf54e04a95596f6997ba0ace             archive.debian.org_debian-security_dists_wheezy_updates_Release.gpg


La différence porte sur la somme de contrôle, mais aussi sur la taille. Supprime ce fichier corrompu :

rm -v /var/lib/apt/lists/archive.debian.org_debian-security_dists_wheezy_updates_Release

apt-get update


En principe cela devrait déjà mieux se passer. Je ne sais absolument pas d'où sort ce fichier Release.

Dernière modification par èfpé (29-09-2020 20:48:42)

Hors ligne

Pied de page des forums